# Menu Boutique

Un seul menu pour gérer une boutique !

Ce plugin regroupe dans un seul menu les plugins qui constituent une boutique.

## Installation & Usage
S'installe sur un SPIP 3.2 minimum, ce plugin utilise le pipeline ajouter_menus.

Une fois le plugin activé le menu Boutique est visible à droite dans le bandeau du haut de l'interface privé de SPIP.
Il regroupe les accès aux plugins qui constituent une boutique en déplaçant les boutons originaux.
Si un des plugins n'est pas activé, il n'apparait pas dans ce menu.

Voici les plugins pris en charge éventuellement affichés dans le menu :
- Produits
- Commandes
- Factures
- Transactions (Bank)
- Stock
- Modes de livraison
- Coordonnées

3 autres entrées :
- les mots clefs (etiquettes)
- la rubrique choisie dans la config produits
- un lien pour réordonner le menu

! Les boutons de configuration des plugins d boutique restent à leur place !

## Ajouter ou retirer un élément du menu
2 méthodes possibles :

Ajouter une entrée en commitant dans le plugin menu_boutique directement :
menu_boutique_pipelines.php

'

function menu_boutique_ajouter_menus($flux){
//ajouter votre entrée ici pour en faire profiter tout le monde
	$boutons_boutique = array('commandes','factures','coordonnees','produits','stocks','optionsproduits','monsuperplugin');

'

Ajouter une entrée seulement pour vous avec le pipeline ajouter_menus qui existe dans SPIP par defaut


'

function prefix_plugin_ajouter_menus($flux){

	$plugin = 'mon_plugin';
	
	//supprimer une entrée
	unset($flux['menu_boutique']->sousmenu['mon_plugin']);
	
	//créer une entrée
	$flux['menu_boutique']->sousmenu['mon_plugin'] = 
		new Bouton(
			find_in_theme("images/mon_plugin-xx.svg"), 
			_T("paquet-mon_plugin:mon_plugin_nom"),
			generer_url_ecrire( 'mon_plugin' )
		);
							
	return $flux;
}

'

## Todo
- @todo - ordonner le menu dès le début et non en passant par les prefs auteur

## Changelogs

v1.0.1
- Le bouton d'accès aux mots-cles dépend des plugins produits et motus configurés sur au moins une rubrique
- reprendre les logos svg ou png sinon de chaque plugin dans leurs dossiers (inutile de recopier ?)

v1.0.0
- [X] Création du plugin menu_boutique
- fix #3eb434cd9a compatible SPIP 3.2
